﻿/**
 * WCFを使用したサンプルプログラム9_1: ダイレクト印刷の応答画面のサンプルプログラムです。
 * 
 * @author Copyright 2001-2017 BrainSellers.com Corp. All Rights Reserved.
 * @version 1.0.0
 * @since 4.9.0
 */

using System;
using System.Web;

namespace BizStreamWebApplication
{
    public partial class WSS_WCF_Sample9_1 : System.Web.UI.Page
    {

        protected void Page_Load(object sender, EventArgs e)
        {
            string result = Request.QueryString.Get("RESULT"); // 印刷結果
            string errCode = Request.QueryString.Get("ERROR_CODE"); // エラーコード
            string errCause = Request.QueryString.Get("ERROR_CAUSE"); // エラー原因
            string errDetails = Request.QueryString.Get("ERROR_DETAILS"); // エラー内容
            if (!String.IsNullOrEmpty(errDetails))
            {
                errDetails = HttpUtility.UrlDecode(errDetails);
            }

            // ブラウザに結果を表示
            Response.Clear();
            Response.ContentType = "text/html;charset=UTF-8";
            Response.Write("<HTML><HEAD><TITLE>WSS_WCF_Sample9_1</TITLE></HEAD><BODY>");
            Response.Write("<BR>RESULT = " + result); // 印刷結果
            Response.Write("<BR>ERROR_CODE = " + errCode); // エラーコード
            Response.Write("<BR>ERROR_CAUSE = " + errCause); // エラー原因
            Response.Write("<BR>ERROR_DETAILS = " + errDetails); // エラー内容
            Response.Write("<BR></BODY></HTML>");
            Response.Flush();
            HttpContext.Current.ApplicationInstance.CompleteRequest();
        }

    }
}
